GS-SFTP(1)

NAME
gs-sftp - Secure File Transfer Protocol via Global Socket.

SYNOPSIS
gs-sftp [-lTR] [-s secret] [-k keyfile]

DESCRIPTION
The gs-sftp utility is a wrapper script for gs-netcat. It allows two users to establish a secure SFTP connetion via the Global Socket Relay Network (GSRN). This is useful in a scenario where both users are behind NAT/Firewall and unable to connect to each other directly.

OPTIONS

-s secret
    A password chosen by the user. Both users need to use the same password to connect.

-k FILE
    A file containing the password.

-l  Server mode. The default mode is client.

-R  Places server (-l) into a read-only mode. Attempts to open files for writing, as well as other operations that change the state of the filesystem, will be denied.

-T  Use TOR. The gs-sftp tool will connect via TOR to the GSRN. This requires TOR to be installed and running. The IP and PORT of the TOR server can be set using environment variables.

See gs-netcat(1) for more options.

EXAMPLES
Example 1 - SFTP Server listening for clients using password 'MySecret':
    $ gs-sftp -s MySecret -l

Connect sftp-client using the same password:
    $ gs-sftp -s MySecret

ENVIRONMENT
See gs-netcat(1) for a list of supported environment variables.

SEE ALSO
gsocket(1), gs-netcat(1), sftp(1)

BUGS
Efforts have been made to have gs-sftp "do the right thing" in all its various modes. If you believe that it is doing the wrong thing under whatever circumstances, please notify me (skyper@thc.org) and tell me how you think it should behave.